ONVIF::Analytics::Types::IPAddressFilter(3pm)

NAME
ONVIF::Analytics::Types::IPAddressFilter

DESCRIPTION
Perl data type class for the XML Schema defined complexType IPAddressFilter from the namespace http://www.onvif.org/ver10/schema.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   Type

•   IPv4Address

•   IPv6Address

•   Extension

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::Analytics::Types::IPAddressFilter
   Type => $some_value, # IPAddressFilterType
   IPv4Address =>  { # ONVIF::Analytics::Types::PrefixedIPv4Address
     Address => $some_value, # IPv4Address
     PrefixLength =>  $some_value, # int
   },
   IPv6Address =>  { # ONVIF::Analytics::Types::PrefixedIPv6Address
     Address => $some_value, # IPv6Address
     PrefixLength =>  $some_value, # int
   },
   Extension =>  { # ONVIF::Analytics::Types::IPAddressFilterExtension
   },
 },

AUTHOR
Generated by SOAP::WSDL